## audex 0.62b

=== CMakeLists.txt ===
project (audex)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(KDE4 REQUIRED)
include(MacroLibrary)

find_package(Cdparanoia)
macro_log_feature(CDPARANOIA_FOUND "cdparanoia" "Reads digital audio directly from a CD, then writes the data to a file or pipe in several different formats" "http://www.xiph.org/paranoia/" FALSE "" "Required for building Audex.")

include_directories(
	${KDE4_INCLUDES}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}
	${CDPARANOIA_INCLUDE_DIR}
)

set(audex_SRCS
  main.cpp
  mainwindow.cpp
  models/cddamodel.cpp
  models/profilemodel.cpp
  utils/diskfreespace.cpp
  utils/pid.cpp
  utils/coverfetcher.cpp
  utils/maskparser.cpp
  utils/playlist.cpp
  utils/wavefilewriter.cpp
  utils/cddaparanoia.cpp
  utils/encoderwrapper.cpp
  utils/cddaextractthread.cpp
  utils/ftpupload.cpp
  utils/encoderassistant.cpp
  utils/hashlist.cpp
  utils/3rdparty/crc32.cpp
  widgets/cddaheaderwidget.cpp
  widgets/generalsettingswidget.cpp
  widgets/profilewidget.cpp
  widgets/ftpsettingswidget.cpp
  widgets/assistant/greetingswidget.cpp
  widgets/assistant/basepathwidget.cpp
  widgets/assistant/codecselectionwidget.cpp
  widgets/assistant/filenamewidget.cpp
  widgets/assistant/filenameschemewidget.cpp
  widgets/assistant/additionswidget.cpp
  widgets/assistant/goodbyewidget.cpp
  dialogs/coverbrowserdialog.cpp
  dialogs/cddaheaderdatadialog.cpp
  dialogs/profiledatadialog.cpp
  dialogs/profiledatacoverdialog.cpp
  dialogs/profiledataplaylistdialog.cpp
  dialogs/profiledatainfodialog.cpp
  dialogs/profiledatahashlistdialog.cpp
  dialogs/maskwizarddialog.cpp
  dialogs/commandwizarddialog.cpp
  dialogs/simplemaskwizarddialog.cpp
  dialogs/extractingprogressdialog.cpp
  dialogs/protocoldialog.cpp
  dialogs/assistantdialog.cpp
  core/audex.cpp
)

kde4_add_ui_files(audex_SRCS
  widgets/generalsettingswidgetUI.ui
  widgets/profilewidgetUI.ui
  widgets/ftpsettingswidgetUI.ui
  widgets/assistant/greetingswidgetUI.ui
  widgets/assistant/basepathwidgetUI.ui
  widgets/assistant/codecselectionwidgetUI.ui
  widgets/assistant/filenamewidgetUI.ui
  widgets/assistant/filenameschemewidgetUI.ui
  widgets/assistant/additionswidgetUI.ui
  widgets/assistant/goodbyewidgetUI.ui
  dialogs/coverbrowserwidgetUI.ui
  dialogs/cddaheaderdatawidgetUI.ui
  dialogs/profiledatawidgetUI.ui
  dialogs/profiledatacoverwidgetUI.ui
  dialogs/profiledataplaylistwidgetUI.ui
  dialogs/profiledatainfowidgetUI.ui
  dialogs/profiledatahashlistwidgetUI.ui
  dialogs/maskwizardwidgetUI.ui
  dialogs/commandwizardwidgetUI.ui
  dialogs/simplemaskwizardwidgetUI.ui
  dialogs/extractingprogresswidgetUI.ui
  dialogs/protocolwidgetUI.ui
)

kde4_add_kcfg_files(audex_SRCS preferences.kcfgc)

kde4_add_executable(audex ${audex_SRCS})
target_link_libraries(audex ${CDPARANOIA_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} kcddb kcompactdisc)

install(TARGETS audex DESTINATION ${BIN_INSTALL_DIR})
install(FILES audexui.rc DESTINATION  ${DATA_INSTALL_DIR}/audex)
install(FILES audex.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

add_subdirectory(icons)
add_subdirectory(images)

macro_display_feature_log()

=== images/CMakeLists.txt ===
install( FILES canada.png france.png germany.png italy.png japan.png netherlands.png poland.png portugal.png spain.png sweden.png usa.png nocover.png amazon.png  DESTINATION  ${DATA_INSTALL_DIR}/audex/images)

## audex 0.71b5

=== CMakeLists.txt ===
project (audex)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(DEBIAN_PACKAGE_DESCRIPTION "Audex")
set(DEBIAN_PACKAGE_SECTION "Multimedia")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "71")
set(CPACK_PACKAGE_VERSION_BETA " beta 5")
set(CPACK_PACKAGE_CONTACT "Marco Nelles <audex@maniatek.de>")
set(AUDEX_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${CPACK_PACKAGE_VERSION_BETA}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${AUDEX_VERSION}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${AUDEX_VERSION}")
include(CPack)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

find_package(KDE4 REQUIRED)
find_package(KdeMultimedia REQUIRED)
include(MacroLibrary)

find_package(Cdparanoia)
macro_log_feature(CDPARANOIA_FOUND "cdparanoia" "Reads digital audio directly from a CD, then writes the data to a file or pipe in several different formats" "http://www.xiph.org/paranoia/" FALSE "" "Required for building Audex.")

include_directories(
    ${KDE4_INCLUDES}
    ${KDEMULTIMEDIA_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CDPARANOIA_INCLUDE_DIR}
)

set(audex_SRCS
  main.cpp
  mainwindow.cpp
  models/cddamodel.cpp
  models/profilemodel.cpp
  utils/diskfreespace.cpp
  utils/pid.cpp
  utils/coverfetcher.cpp
  utils/patternparser.cpp
  utils/playlist.cpp
  utils/wavefilewriter.cpp
  utils/cddaparanoia.cpp
  utils/encoderwrapper.cpp
  utils/cddaextractthread.cpp
  utils/upload.cpp
  utils/encoderassistant.cpp
  utils/hashlist.cpp
  utils/3rdparty/crc32.cpp
  utils/parameters.cpp
  widgets/cddaheaderwidget.cpp
  widgets/generalsettingswidget.cpp
  widgets/profilewidget.cpp
  widgets/remoteserversettingswidget.cpp
  widgets/lamewidget.cpp
  widgets/oggencwidget.cpp
  widgets/flacwidget.cpp
  widgets/faacwidget.cpp
  widgets/wavewidget.cpp
  widgets/customwidget.cpp
  dialogs/coverbrowserdialog.cpp
  dialogs/cddaheaderdatadialog.cpp
  dialogs/profiledatadialog.cpp
  dialogs/profiledatacoverdialog.cpp
  dialogs/profiledataplaylistdialog.cpp
  dialogs/profiledatainfodialog.cpp
  dialogs/profiledatahashlistdialog.cpp
  dialogs/patternwizarddialog.cpp
  dialogs/commandwizarddialog.cpp
  dialogs/simplepatternwizarddialog.cpp
  dialogs/extractingprogressdialog.cpp
  dialogs/protocoldialog.cpp
  core/audex.cpp
)

kde4_add_ui_files(audex_SRCS
  widgets/generalsettingswidgetUI.ui
  widgets/profilewidgetUI.ui
  widgets/remoteserversettingswidgetUI.ui
  widgets/lamewidgetUI.ui
  widgets/oggencwidgetUI.ui
  widgets/flacwidgetUI.ui
  widgets/faacwidgetUI.ui
  widgets/wavewidgetUI.ui
  widgets/customwidgetUI.ui
  dialogs/coverbrowserwidgetUI.ui
  dialogs/cddaheaderdatawidgetUI.ui
  dialogs/profiledatawidgetUI.ui
  dialogs/profiledatacoverwidgetUI.ui
  dialogs/profiledataplaylistwidgetUI.ui
  dialogs/profiledatainfowidgetUI.ui
  dialogs/profiledatahashlistwidgetUI.ui
  dialogs/patternwizardwidgetUI.ui
  dialogs/commandwizardwidgetUI.ui
  dialogs/simplepatternwizardwidgetUI.ui
  dialogs/extractingprogresswidgetUI.ui
  dialogs/protocolwidgetUI.ui
)

kde4_add_kcfg_files(audex_SRCS preferences.kcfgc)

kde4_add_executable(audex ${audex_SRCS})
target_link_libraries(audex ${CDPARANOIA_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDEMULTIMEDIA_LIBRARIES})

install(TARGETS audex DESTINATION ${BIN_INSTALL_DIR})
install(FILES audexui.rc DESTINATION  ${DATA_INSTALL_DIR}/audex)
install(FILES audex.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES audex-rip-audiocd.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)

add_subdirectory(icons)
add_subdirectory(images)
add_subdirectory(po)

macro_display_feature_log()

## audex 0.72b1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 set(DEBIAN_PACKAGE_SECTION "Multimedia")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "71")
-set(CPACK_PACKAGE_VERSION_BETA " beta 5")
+set(CPACK_PACKAGE_VERSION_MINOR "72")
+set(CPACK_PACKAGE_VERSION_BETA " beta 1")
 set(CPACK_PACKAGE_CONTACT "Marco Nelles <audex@maniatek.de>")
 set(AUDEX_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${CPACK_PACKAGE_VERSION_BETA}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${AUDEX_VERSION}")
@@ -51,6 +51,7 @@
   utils/hashlist.cpp
   utils/3rdparty/crc32.cpp
   utils/parameters.cpp
+  utils/cachedimage.cpp
   widgets/cddaheaderwidget.cpp
   widgets/generalsettingswidget.cpp
   widgets/profilewidget.cpp

=== images/CMakeLists.txt ===
install( FILES canada.png france.png germany.png italy.png japan.png netherlands.png poland.png portugal.png spain.png sweden.png usa.png uk.png nocover.png amazon.png  DESTINATION  ${DATA_INSTALL_DIR}/audex/images)

## audex 0.74~b1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 project (audex)
+
+cmake_minimum_required(VERSION 2.8)
 
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 set(CPACK_GENERATOR "DEB;RPM;TGZ")
@@ -6,38 +8,38 @@
 set(DEBIAN_PACKAGE_SECTION "Multimedia")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "72")
+set(CPACK_PACKAGE_VERSION_MINOR "74")
 set(CPACK_PACKAGE_VERSION_BETA " beta 1")
-set(CPACK_PACKAGE_CONTACT "Marco Nelles <audex@maniatek.de>")
+set(CPACK_PACKAGE_CONTACT "Marco Nelles <audex@maniatek.com>")
 set(AUDEX_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${CPACK_PACKAGE_VERSION_BETA}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${AUDEX_VERSION}")
 set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${AUDEX_VERSION}")
 include(CPack)
 
-set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
 
 find_package(KDE4 REQUIRED)
 find_package(KdeMultimedia REQUIRED)
+find_package(Cdparanoia REQUIRED)
+
 include(MacroLibrary)
-
-find_package(Cdparanoia)
-macro_log_feature(CDPARANOIA_FOUND "cdparanoia" "Reads digital audio directly from a CD, then writes the data to a file or pipe in several different formats" "http://www.xiph.org/paranoia/" FALSE "" "Required for building Audex.")
 
 include_directories(
     ${KDE4_INCLUDES}
     ${KDEMULTIMEDIA_INCLUDE_DIR}
-    ${CMAKE_SOURCE_DIR}
+    ${CMAKE_CURRENT_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
     ${CDPARANOIA_INCLUDE_DIR}
 )
+
+set(CMAKE_C_FLAGS "${AUDEX_ID3_CFLAGS} ${CMAKE_C_FLAGS}")
 
 set(audex_SRCS
   main.cpp
   mainwindow.cpp
   models/cddamodel.cpp
   models/profilemodel.cpp
-  utils/diskfreespace.cpp
   utils/pid.cpp
   utils/coverfetcher.cpp
   utils/patternparser.cpp
@@ -45,6 +47,7 @@
   utils/wavefilewriter.cpp
   utils/cddaparanoia.cpp
   utils/encoderwrapper.cpp
+  utils/errordialog.cpp
   utils/cddaextractthread.cpp
   utils/upload.cpp
   utils/encoderassistant.cpp
@@ -52,6 +55,8 @@
   utils/3rdparty/crc32.cpp
   utils/parameters.cpp
   utils/cachedimage.cpp
+  utils/cuesheetwriter.cpp
+  utils/tmpdir.cpp
   widgets/cddaheaderwidget.cpp
   widgets/generalsettingswidget.cpp
   widgets/profilewidget.cpp
@@ -69,6 +74,8 @@
   dialogs/profiledataplaylistdialog.cpp
   dialogs/profiledatainfodialog.cpp
   dialogs/profiledatahashlistdialog.cpp
+  dialogs/profiledatacuesheetdialog.cpp
+  dialogs/profiledatasinglefiledialog.cpp
   dialogs/patternwizarddialog.cpp
   dialogs/commandwizarddialog.cpp
   dialogs/simplepatternwizarddialog.cpp
@@ -94,6 +101,8 @@
   dialogs/profiledataplaylistwidgetUI.ui
   dialogs/profiledatainfowidgetUI.ui
   dialogs/profiledatahashlistwidgetUI.ui
+  dialogs/profiledatacuesheetwidgetUI.ui
+  dialogs/profiledatasinglefilewidgetUI.ui
   dialogs/patternwizardwidgetUI.ui
   dialogs/commandwizardwidgetUI.ui
   dialogs/simplepatternwizardwidgetUI.ui
@@ -104,7 +113,7 @@
 kde4_add_kcfg_files(audex_SRCS preferences.kcfgc)
 
 kde4_add_executable(audex ${audex_SRCS})
-target_link_libraries(audex ${CDPARANOIA_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDEMULTIMEDIA_LIBRARIES})
+target_link_libraries(audex ${CDPARANOIA_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBRARY} ${KDEMULTIMEDIA_LIBRARIES} ${QT_QTXML_LIBRARY} )
 
 install(TARGETS audex DESTINATION ${BIN_INSTALL_DIR})
 install(FILES audexui.rc DESTINATION  ${DATA_INSTALL_DIR}/audex)

=== po/CMakeLists.txt ===
# Search KDE installation
FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
ENDIF (NOT GETTEXT_MSGFMT_EXECUTABLE)

FILE(GLOB _po_files *.po)

SET(_gmoFiles)

FOREACH(_current_PO_FILE ${_po_files})
   GET_FILENAME_COMPONENT(_lang ${_current_PO_FILE} NAME_WE)
   SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME audex.mo)
   LIST(APPEND _gmoFiles ${_gmoFile})
ENDFOREACH(_current_PO_FILE)
ADD_CUSTOM_TARGET(pofiles ALL DEPENDS ${_gmoFiles})

=== debian/changelog ===
audex (0.74~b1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix missing <unistd.h> include (Cyril Brulebois) Closes: #667105.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 12:22:28 +0800

audex (0.74~b1-1) unstable; urgency=low

  * New upstream release.
  Closes: #553958, #564866
  * Bumped standards version to 3.9.2
  * Updated Homepage:
  * Switched to 3.0 (quilt) package format.
  * Removed patches: applied upstream.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 07 Aug 2011 22:16:54 -0500

audex (0.72b1-2) unstable; urgency=medium

  [ Mark Purcell ]
  * Added cmake to Build-Depends. (Closes: #581281)

  [ Felix Geyer ]
  * Updated Homepage field and watch file.
  * Add 02_remove_mkdirjob_include.diff, patch from upstream to fix FTBFS.
    (Closes: #582197)
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Urgency medium to fix RC bug.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 May 2010 11:39:31 +0200

audex (0.72b1-1) unstable; urgency=low

  * New upstream release. 
  * Bumped standards version to 3.8.3
  * Refreshed patches

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 19 Sep 2009 01:28:31 -0500

audex (0.71b5-1) unstable; urgency=low

  * New upstream release.
  * Fixed watch file. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 09 Aug 2009 11:38:29 -0500

audex (0.71b3-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.2 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 06 Jul 2009 13:07:28 +0200

audex (0.71b2-1) unstable; urgency=low

  * Adapted package for debian:
    o Changed maintainer to pkg-kde
    o Moved original maintainer and myself in uploaders
    o Use the correct kde cdbs class
    o Renamed patch
  * Initial upload to unstable (Closes: #531712)

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 04 Jun 2009 16:24:37 +0200

audex (0.71b2-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #378174)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Tue, 19 May 2009 04:27:40 +0200

audex (0.71b1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #375528)
  * Refresh kubuntu_01_valid_desktop_file.diff
  * Drop cmake from build-deps
  * Bump Standards-Version to 3.8.1
  * Transition from kde4.mk to pkg-kde-tools
   - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
   - debian/control: Build-Depend on 'pkg-kde-tools'

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Tue, 12 May 2009 17:41:20 +0200

audex (0.62b-0ubuntu3) jaunty; urgency=low

  * Added kubuntu_01_valid_desktop_file.diff:
    - Fixes a couple of issues to make the desktop file a valid one
    - Added french GenericName
  * Added debian/watch file
  * Added debian/README.source file

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 27 Jan 2009 13:02:05 +0100

audex (0.62b-0ubuntu2) jaunty; urgency=low

  * debian/control: spurious character in Depends stanza.(LP: #322717)

 -- Andrea Gasparini <gaspa@yattaweb.it>  Thu, 29 Jan 2009 13:37:44 +0100

audex (0.62b-0ubuntu1) jaunty; urgency=low

  * Initial release

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 23 Jan 2009 13:47:08 +0100

=== debian/control ===
Source: audex
Section: kde
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
Uploaders: Anthony Mercatante <tonio@ubuntu.com>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 quilt,
 patchutils (>= 0.2.25),
 cdbs (>= 0.4.27), 
 docbook2x, kdelibs5-dev, cmake,
 libcdparanoia-dev, kdemultimedia-dev, 
 pkg-kde-tools
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/audex/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/audex/
Homepage: http://kde.maniatek.com/audex/

Package: audex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Audio grabber tool for KDE
 Audex is a new audio grabber tool for CD-ROM drives for the KDE desktop.
 .
 The assistant is able to create profiles for LAME, OGG Vorbis (oggenc),
 FLAC, FAAC (AAC/MP4) and RIFF WAVE. Please install your favorite encoder.
 Of course for WAVE no external encoder is needed!
 Beyond the assistant you can define your own profile, which means, that
 audex works together with commmand line encoders in general.
 .
 Some features are:
  * Extracting with CDDA Paranoia. So you have quite perfect audio quality.
  * Extracting and encoding run parallel.
  * Filename editing with local and remote CDDB/FreeDB database.
  * Submit new entries to CDDB/FreeDB database.
  * Metadata correction tools like capitalize etc.
  * Multi-profile extraction (with one commandline-encoder per profile).
  * Fetch covers from the internet and store them in the database.
  * Create playlists, cover and template-based-info files in target directory.
  * Creates extraction and encoding protocols.
  * Transfer files to a FTP-server.

=== debian/watch ===
# watch control file for uscan
# You can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://kde.maniatek.de/audex/download \
/audex/files/audex-([\d\.\w]+)\.tar\.bz2

## audex 0.77~b1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(DEBIAN_PACKAGE_SECTION "Multimedia")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "74")
+set(CPACK_PACKAGE_VERSION_MINOR "77")
 set(CPACK_PACKAGE_VERSION_BETA " beta 1")
 set(CPACK_PACKAGE_CONTACT "Marco Nelles <audex@maniatek.com>")
 set(AUDEX_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${CPACK_PACKAGE_VERSION_BETA}")

=== debian/changelog ===
audex (0.77~b1-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #398234, #1085025). Remaining changes:
    - Build-depend on libkcddb-dev and libkcompactdisc-dev instead of
      kde-multimedia, as that package doesn't exist anymore.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 15 May 2013 20:26:51 -0400

audex (0.77~b1-2) unstable; urgency=low

  * Upload to unstable
  * Add Suggests: eye3d (LP:398234)

 -- Mark Purcell <msp@debian.org>  Sat, 11 May 2013 18:28:25 +1000

audex (0.77~b1-1) experimental; urgency=low

  * New Upstream Release
  * Updated debian/watch from Bart Martens
    - Fixes "[audex] now hosted at kde svn" (Closes: #555406)
  * Add myself to Uploaders:
  * Ack NMU. Thanks Matthias & Romain
  * debian/compat -> 9
  * Fix "encoding dependencies" Added Suggests:  (Closes: #696941)

 -- Mark Purcell <msp@debian.org>  Sun, 14 Apr 2013 18:14:34 +1000

audex (0.74~b1-1.1ubuntu1) quantal; urgency=low

  * Build-depend on libkcddb-dev and libkcompactdisc-dev instead of
    kde-multimedia as that package doesn't exist anymore.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 26 Sep 2012 11:36:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: audex
 Section: kde
 Priority: extra
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
-Uploaders: Anthony Mercatante <tonio@ubuntu.com>, Romain Beauxis <toots@rastageeks.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
+Uploaders: Mark Purcell <msp@debian.org>, Anthony Mercatante <tonio@ubuntu.com>, Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ debhelper (>= 9),
  dh-buildinfo,
  quilt,
  patchutils (>= 0.2.25),
  cdbs (>= 0.4.27), 
  docbook2x, kdelibs5-dev, cmake,
- libcdparanoia-dev, kdemultimedia-dev, 
+ libcdparanoia-dev,
+ libkcddb-dev,
+ libkcompactdisc-dev,
  pkg-kde-tools
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/audex/
@@ -20,6 +23,7 @@
 Package: audex
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: vorbis-tools, flac, faac, twolame, lame, eyed3
 Description: Audio grabber tool for KDE
  Audex is a new audio grabber tool for CD-ROM drives for the KDE desktop.
  .

## audex 0.78

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,22 +2,24 @@
 
 cmake_minimum_required(VERSION 2.8)
 
-set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
+set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
 set(CPACK_GENERATOR "DEB;RPM;TGZ")
 set(DEBIAN_PACKAGE_DESCRIPTION "Audex")
 set(DEBIAN_PACKAGE_SECTION "Multimedia")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "77")
-set(CPACK_PACKAGE_VERSION_BETA " beta 1")
+set(CPACK_PACKAGE_VERSION_MINOR "78")
 set(CPACK_PACKAGE_CONTACT "Marco Nelles <audex@maniatek.com>")
-set(AUDEX_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${CPACK_PACKAGE_VERSION_BETA}")
+set(AUDEX_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${AUDEX_VERSION}")
 set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${AUDEX_VERSION}")
 include(CPack)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
+
+set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -g")
+set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")
 
 find_package(KDE4 REQUIRED)
 find_package(KdeMultimedia REQUIRED)
@@ -113,7 +115,7 @@
 kde4_add_kcfg_files(audex_SRCS preferences.kcfgc)
 
 kde4_add_executable(audex ${audex_SRCS})
-target_link_libraries(audex ${CDPARANOIA_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBRARY} ${KDEMULTIMEDIA_LIBRARIES} ${QT_QTXML_LIBRARY} )
+target_link_libraries(audex ${CDPARANOIA_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBRARY} ${KDEMULTIMEDIA_LIBRARIES} ${QT_QTXML_LIBRARY} ${QT_QTSCRIPT_LIBRARY} )
 
 install(TARGETS audex DESTINATION ${BIN_INSTALL_DIR})
 install(FILES audexui.rc DESTINATION  ${DATA_INSTALL_DIR}/audex)

=== images/CMakeLists.txt ===
install( FILES canada.png france.png germany.png italy.png japan.png netherlands.png poland.png portugal.png spain.png sweden.png usa.png uk.png nocover.png  DESTINATION  ${DATA_INSTALL_DIR}/audex/images)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

file(GLOB catalogs *.po)

gettext_create_translations("audex.pot" ALL ${catalogs})

=== debian/changelog ===
audex (0.78-1) unstable; urgency=low

  * New upstream release
    - Fixed google cover search and embed cover in FLAC files.
  * Merge from Ubuntu (LP: #398234, #1085025).
    - Build-depend on libkcddb-dev and libkcompactdisc-dev instead of
    kde-multimedia, as that package doesn't exist anymore.

 -- Mark Purcell <msp@debian.org>  Sun, 09 Mar 2014 12:25:50 +1100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: audex
 Section: kde
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
 Uploaders: Mark Purcell <msp@debian.org>, Anthony Mercatante <tonio@ubuntu.com>, Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.85~),
  debhelper (>= 9),
  dh-buildinfo,
  quilt,
  patchutils (>= 0.2.25),
- cdbs (>= 0.4.27), 
  docbook2x, kdelibs5-dev, cmake,
- libcdparanoia-dev,
- libkcddb-dev,
- libkcompactdisc-dev,
+ libcdparanoia-dev, 
+ libkcddb-dev, libkcompactdisc-dev,
  pkg-kde-tools
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/audex/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/audex/
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/audex/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/audex/
 Homepage: http://kde.maniatek.com/audex/
 
 Package: audex

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_INSTALL_MANPAGES_audex = audex.1

build/audex::
	docbook2x-man debian/audex.1.docbook

clean::
	rm -f audex.1

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://kde.maniatek.com/audex/download .*/audex-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) debian svn-upgrade
# Bart Martens <bartm@debian.org>  Wed, 02 Jan 2013 21:31:48 +0000

## audex 0.79

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(DEBIAN_PACKAGE_SECTION "Multimedia")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "78")
+set(CPACK_PACKAGE_VERSION_MINOR "79")
 set(CPACK_PACKAGE_CONTACT "Marco Nelles <audex@maniatek.com>")
 set(AUDEX_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${AUDEX_VERSION}")
@@ -28,11 +28,11 @@
 include(MacroLibrary)
 
 include_directories(
-    ${KDE4_INCLUDES}
-    ${KDEMULTIMEDIA_INCLUDE_DIR}
-    ${CMAKE_CURRENT_SOURCE_DIR}
-    ${CMAKE_BINARY_DIR}
-    ${CDPARANOIA_INCLUDE_DIR}
+  ${KDE4_INCLUDES}
+  ${KDEMULTIMEDIA_INCLUDE_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_BINARY_DIR}
+  ${CDPARANOIA_INCLUDE_DIR}
 )
 
 set(CMAKE_C_FLAGS "${AUDEX_ID3_CFLAGS} ${CMAKE_C_FLAGS}")
@@ -49,7 +49,6 @@
   utils/wavefilewriter.cpp
   utils/cddaparanoia.cpp
   utils/encoderwrapper.cpp
-  utils/errordialog.cpp
   utils/cddaextractthread.cpp
   utils/upload.cpp
   utils/encoderassistant.cpp
@@ -59,8 +58,10 @@
   utils/cachedimage.cpp
   utils/cuesheetwriter.cpp
   utils/tmpdir.cpp
+  utils/discidcalculator.cpp
   widgets/cddaheaderwidget.cpp
   widgets/generalsettingswidget.cpp
+  widgets/devicewidget.cpp
   widgets/profilewidget.cpp
   widgets/remoteserversettingswidget.cpp
   widgets/lamewidget.cpp
@@ -83,11 +84,13 @@
   dialogs/simplepatternwizarddialog.cpp
   dialogs/extractingprogressdialog.cpp
   dialogs/protocoldialog.cpp
+  dialogs/errordialog.cpp
   core/audex.cpp
 )
 
 kde4_add_ui_files(audex_SRCS
   widgets/generalsettingswidgetUI.ui
+  widgets/devicewidgetUI.ui
   widgets/profilewidgetUI.ui
   widgets/remoteserversettingswidgetUI.ui
   widgets/lamewidgetUI.ui
@@ -115,7 +118,16 @@
 kde4_add_kcfg_files(audex_SRCS preferences.kcfgc)
 
 kde4_add_executable(audex ${audex_SRCS})
-target_link_libraries(audex ${CDPARANOIA_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBRARY} ${KDEMULTIMEDIA_LIBRARIES} ${QT_QTXML_LIBRARY} ${QT_QTSCRIPT_LIBRARY} )
+target_link_libraries(audex
+  ${CDPARANOIA_LIBRARIES}
+  ${KDE4_KDEUI_LIBS}
+  ${KDE4_KUTILS_LIBS}
+  ${KDE4_KIO_LIBRARY}
+  ${KDE4_SOLID_LIBS}
+  ${KDEMULTIMEDIA_LIBRARIES}
+  ${QT_QTXML_LIBRARY}
+  ${QT_QTSCRIPT_LIBRARY}
+)
 
 install(TARGETS audex DESTINATION ${BIN_INSTALL_DIR})
 install(FILES audexui.rc DESTINATION  ${DATA_INSTALL_DIR}/audex)

=== debian/changelog ===
audex (0.79-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-Browser field.
  * Switch Homepage to https://userbase.kde.org/Audex, since the maniatek URL
    is not working anymore.
    - remove the watch file because of that
  * Update the patches:
    - fix-ftbfs-with-gcc-4.7: drop, fixed upstream
  * Drop README.source, obsolete with format "3.0 (quilt)".
  * Rewrite rules to use the dh sequencer:
    - drop the cdbs build dependency
    - drop control.in, outdated
    - use the kde dh addon
    - add a audex.manpages to install the man page
  * Remove unused build dependencies: dh-buildinfo, quilt, and patchutils.
  * Enable the parallel build.
  * Fix typo in description.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Link in as-needed mode.
  * Bump the priority from extra to optional.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Jul 2016 14:57:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: audex
 Section: kde
-Priority: extra
+Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
 Uploaders: Mark Purcell <msp@debian.org>, Anthony Mercatante <tonio@ubuntu.com>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.85~),
+Build-Depends:
  debhelper (>= 9),
- dh-buildinfo,
- quilt,
- patchutils (>= 0.2.25),
  docbook2x, kdelibs5-dev, cmake,
  libcdparanoia-dev, 
  libkcddb-dev, libkcompactdisc-dev,
  pkg-kde-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/audex/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/audex/
-Homepage: http://kde.maniatek.com/audex/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/audex/
+Homepage: https://userbase.kde.org/Audex
 
 Package: audex
 Architecture: any
@@ -28,7 +25,7 @@
  FLAC, FAAC (AAC/MP4) and RIFF WAVE. Please install your favorite encoder.
  Of course for WAVE no external encoder is needed!
  Beyond the assistant you can define your own profile, which means, that
- audex works together with commmand line encoders in general.
+ audex works together with command line encoders in general.
  .
  Some features are:
   * Extracting with CDDA Paranoia. So you have quite perfect audio quality.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_auto_build:
	dh_auto_build
	docbook2x-man debian/audex.1.docbook

override_dh_clean:
	rm -f audex.1

## audex 25.08.0

=== debian/changelog ===
audex (25.08.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 08:19:57 +0000

audex (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:01:55 +0000

audex (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:15:20 +0000

audex (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:28:52 +0000

audex (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:19:42 +0000

audex (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:22:41 +0000

audex (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:55:52 +0000

audex (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:16:32 +0000

audex (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:15:26 +0000

audex (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:03:40 +0000

audex (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:27:50 +0000

audex (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:52:04 +0000

audex (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:23:47 +0000

audex (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Jul 2024 03:58:06 +0000

audex (24.05.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jun 2024 03:58:08 +0000

audex (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:01:40 +0000

## audex 25.08.1

=== debian/changelog ===
audex (25.08.1-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 07:09:11 +0000

audex (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:33:29 +0000

## audex 25.08.1+p24.04+vstable+git20250926.0955

=== debian/changelog ===
audex (25.08.1+p24.04+vstable+git20250926.0955-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:55:13 +0000

=== debian/control ===
Source: audex
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libcdio-cdda-dev,
               libcdio-dev,
               libcdio-paranoia-dev,
               libkcddb6-dev,
               libkf6completion-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6iconthemes-dev,
               libkf6kcmutils-dev,
               libkf6kio-dev,
               libkf6solid-dev,
               libkf6textwidgets-dev,
               libkf6xmlgui-dev,
               pkg-kde-tools-neon
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/audex.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/audex
Maintainer: Neon CI <neon@kde.org>

Package: audex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CD ripper application
 Audex is an CD ripper application. It lets you extract the audio from
 your CD-ROMs to let you listen to them on your computer and your
 other devices. It includes a CDDB and a MusicBrainz integration to
 fetch the metadata and covers for your CD-ROMs if available.

## audex 25.08.1+p24.04+vstable+git20251002.0402

=== debian/changelog ===
audex (25.08.1+p24.04+vstable+git20251002.0402-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:02:58 +0000

## audex 25.08.2

=== debian/changelog ===
audex (25.08.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 12:07:22 +0000

audex (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:10:05 +0000

## audex 25.08.2+p24.04+vstable+git20251017.0649

=== debian/changelog ===
audex (25.08.2+p24.04+vstable+git20251017.0649-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 06:49:53 +0000

## audex 25.08.2+p24.04+vstable+git20251019.0450

=== debian/changelog ===
audex (25.08.2+p24.04+vstable+git20251019.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:50:06 +0000

## audex 25.08.2+p24.04+vstable+git20251028.1003

=== debian/changelog ===
audex (25.08.2+p24.04+vstable+git20251028.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:03:22 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2024 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

## audex 25.08.2+p24.04+vstable+git20251031.0935

=== debian/changelog ===
audex (25.08.2+p24.04+vstable+git20251031.0935-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:35:43 +0000

## audex 25.08.3

=== debian/changelog ===
audex (25.08.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 15:05:24 +0000

audex (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:32:32 +1000

## audex 25.12.0

=== debian/changelog ===
audex (25.12.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:20:28 +0000

audex (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:14 +1000

## audex 25.12.1

=== debian/changelog ===
audex (25.12.1-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 00:42:36 +0000

audex (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:16:28 +1000

## audex 25.12.1+p24.04+vstable+git20260129.0155

=== debian/changelog ===
audex (25.12.1+p24.04+vstable+git20260129.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:55:12 +0000

## audex 25.12.1+p24.04+vstable+git20260130.0855

=== debian/changelog ===
audex (25.12.1+p24.04+vstable+git20260130.0855-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:55:37 +0000

## audex 25.12.1+p24.04+vunstable+git20260130.1109

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "26")
set(RELEASE_SERVICE_VERSION_MINOR "03")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION
    "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
)

project(Audex VERSION ${RELEASE_SERVICE_VERSION})

set(KF6_MIN_VERSION "5.245.0")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH}
                      ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMAddTests)
include(ECMAddAppIcon)
include(FeatureSummary)
include(KDEClangFormat)

find_package(Qt6 6.5 REQUIRED COMPONENTS Widgets Qml)
find_package(
  KF6 ${KF6_MIN_VER} REQUIRED
  COMPONENTS Config
             Completion
             CoreAddons
             Crash
             I18n
             IconThemes
             KCMUtils
             KIO
             Solid
             TextWidgets
             WidgetsAddons
             XmlGui)
find_package(KCddb6 5.1)
set_package_properties(
  KCddb6 PROPERTIES
  DESCRIPTION "CDDB library"
  URL "https://commits.kde.org/libkcddb"
  TYPE REQUIRED
  PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet.")
find_package(cdio REQUIRED)
find_package(cdio_cdda REQUIRED)
find_package(cdio_paranoia REQUIRED)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CDIO_INCLUDE_DIRS}
  ${CDIO_CDDA_INCLUDE_DIRS} ${CDIO_PARANOIA_INCLUDE_DIRS})

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX AUDEX VERSION_HEADER
                  ${CMAKE_CURRENT_BINARY_DIR}/audex-version.h)

remove_definitions(
  -DQT_NO_CAST_FROM_ASCII -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY -DQT_USE_QSTRINGBUILDER -DQT_NO_FOREACH)

set(CMAKE_C_FLAGS "${AUDEX_ID3_CFLAGS} ${CMAKE_C_FLAGS}")

set(audex_SRCS
    main.cpp
    mainwindow.cpp
    models/cddamodel.cpp
    models/profilemodel.cpp
    utils/schemeparser.cpp
    utils/playlist.cpp
    utils/wavefilewriter.cpp
    utils/samplearray.cpp
    utils/cddaparanoia.cpp
    utils/cddadevices.cpp
    utils/encoderwrapper.cpp
    utils/cddaextractthread.cpp
    utils/upload.cpp
    utils/encoderassistant.cpp
    utils/hashlist.cpp
    utils/crc.cpp
    utils/parameters.cpp
    utils/cuesheetwriter.cpp
    utils/discidcalculator.cpp
    widgets/cddaheaderwidget.cpp
    widgets/generalsettingswidget.cpp
    widgets/devicewidget.cpp
    widgets/profilewidget.cpp
    widgets/remoteserversettingswidget.cpp
    widgets/lamewidget.cpp
    widgets/oggencwidget.cpp
    widgets/opusencwidget.cpp
    widgets/flacwidget.cpp
    widgets/faacwidget.cpp
    widgets/wavewidget.cpp
    widgets/customwidget.cpp
    dialogs/cddaheaderdatadialog.cpp
    dialogs/profiledatadialog.cpp
    dialogs/profiledatacoverdialog.cpp
    dialogs/profiledataplaylistdialog.cpp
    dialogs/profiledatainfodialog.cpp
    dialogs/profiledatahashlistdialog.cpp
    dialogs/profiledatacuesheetdialog.cpp
    dialogs/profiledatalogfiledialog.cpp
    dialogs/profiledatasinglefiledialog.cpp
    dialogs/schemewizarddialog.cpp
    dialogs/commandwizarddialog.cpp
    dialogs/filenameschemewizarddialog.cpp
    dialogs/extractingprogressdialog.cpp
    dialogs/logviewdialog.cpp
    dialogs/textviewdialog.cpp
    dialogs/errordialog.cpp
    core/audex.cpp)

ki18n_wrap_ui(
  audex_SRCS
  widgets/generalsettingswidgetUI.ui
  widgets/devicewidgetUI.ui
  widgets/profilewidgetUI.ui
  widgets/remoteserversettingswidgetUI.ui
  widgets/lamewidgetUI.ui
  widgets/oggencwidgetUI.ui
  widgets/opusencwidgetUI.ui
  widgets/flacwidgetUI.ui
  widgets/faacwidgetUI.ui
  widgets/wavewidgetUI.ui
  widgets/customwidgetUI.ui
  dialogs/cddaheaderdatawidgetUI.ui
  dialogs/profiledatawidgetUI.ui
  dialogs/profiledatacoverwidgetUI.ui
  dialogs/profiledataplaylistwidgetUI.ui
  dialogs/profiledatainfowidgetUI.ui
  dialogs/profiledatahashlistwidgetUI.ui
  dialogs/profiledatacuesheetwidgetUI.ui
  dialogs/profiledatalogfilewidgetUI.ui
  dialogs/profiledatasinglefilewidgetUI.ui
  dialogs/schemewizardwidgetUI.ui
  dialogs/commandwizardwidgetUI.ui
  dialogs/filenameschemewizardwidgetUI.ui
  dialogs/extractingprogresswidgetUI.ui
  dialogs/logviewwidgetUI.ui
  dialogs/textviewwidgetUI.ui)

kconfig_add_kcfg_files(audex_SRCS preferences.kcfgc)
qt_add_resources(audex_SRCS audex.qrc)

add_executable(audex ${audex_SRCS})
target_link_libraries(
  audex
  Qt6::Widgets
  Qt6::Qml
  KF6::Completion
  KF6::CoreAddons
  KF6::Crash
  KF6::I18n
  KF6::IconThemes
  KF6::IconWidgets
  KF6::KCMUtils
  KF6::KIOWidgets
  KF6::Solid
  KF6::TextWidgets
  KF6::WidgetsAddons
  KF6::XmlGui
  KCddb6
  ${CDIO_LIBRARIES}
  ${CDIO_CDDA_LIBRARIES}
  ${CDIO_PARANOIA_LIBRARIES})

ecm_add_app_icon(
  audex
  ICONS
  icons/sc-apps-org.kde.audex.svg
  icons/16-apps-org.kde.audex.png
  icons/32-apps-org.kde.audex.png
  icons/48-apps-org.kde.audex.png
  icons/64-apps-org.kde.audex.png
  icons/128-apps-org.kde.audex.png)

install(TARGETS audex DESTINATION ${KDE_INSTALL_BINDIR})
install(PROGRAMS org.kde.audex.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.audex.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES audex-rip-audiocd.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/solid/actions)
install(FILES org.kde.audex.svg
        DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

add_subdirectory(images)

if(BUILD_TESTING)
  find_package(Qt6Test REQUIRED)
  add_subdirectory(test)
endif()

# Install translations
ki18n_install(po)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES)

=== debian/changelog ===
audex (25.12.1+p24.04+vunstable+git20260130.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:09:40 +0000

## audex 25.12.2+p24.04+vstable+git20260207.0314

=== debian/changelog ===
audex (25.12.2+p24.04+vstable+git20260207.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 03:14:48 +0000

audex (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:53:37 +0000

## audex 25.12.2+p24.04+vstable+git20260209.0611

=== debian/changelog ===
audex (25.12.2+p24.04+vstable+git20260209.0611-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 06:11:49 +0000
